//+------------------------------------------------------------------+
//|                BBands dots MTF                   BBands dots.mq4 |
//|                           Copyright  2006, TrendLaboratory Ltd. |
//|            http://finance.groups.yahoo.com/group/TrendLaboratory |
//|                                       E-mail: igorad2004@list.ru |
//+------------------------------------------------------------------+
//|           MTF      Copyright  2006, Keris2112| ForexTSD.com | ki|
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, TrendLaboratory Ltd."
#property link      "http://finance.groups.yahoo.com/group/TrendLaboratory"

#property indicator_separate_window

#property indicator_buffers 6

/*
#property indicator_color1 Blue
#property indicator_color2 Red
#property indicator_color3 Blue
#property indicator_color4 Red
#property indicator_color5 Blue
#property indicator_color6 Red
*/

//---- input parameters
/*************************************************************************
PERIOD_M1   1
PERIOD_M5   5
PERIOD_M15  15
PERIOD_M30  30 
PERIOD_H1   60
PERIOD_H4   240
PERIOD_D1   1440
PERIOD_W1   10080
PERIOD_MN1  43200
You must use the numeric value of the timeframe that you want to use
when you set the TimeFrame' value with the indicator inputs.
---------------------------------------*/




//---- input parameters

extern int    TimeFrame=0;
extern int    Length=6;          // Bollinger Bands Period
extern int    Deviation=2;       // Deviation
extern double MoneyRisk=0.50;    // Offset Factor
extern int    Signal=1;          // Display signals mode: 1-Signals & Stops; 0-only Stops; 2-only Signals
extern int    Line=1;            // Display line mode: 0-no,1-yes  
extern int    Nbars=500;         // Number of bars
extern color  BuyColor=  Blue;
extern color  SellColor= Red;



//---- indicator buffers
double UpTrendBuffer[];
double DownTrendBuffer[];
double UpTrendSignal[];
double DownTrendSignal[];
double UpTrendLine[];
double DownTrendLine[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+

int init()
  {
   
//---- indicator line

   SetIndexBuffer(0,UpTrendBuffer);
   SetIndexBuffer(1,DownTrendBuffer);
   SetIndexBuffer(2,UpTrendSignal);
   SetIndexBuffer(3,DownTrendSignal);
   SetIndexBuffer(4,UpTrendLine);
   SetIndexBuffer(5,DownTrendLine);
   SetIndexStyle(0,DRAW_ARROW, EMPTY, EMPTY, BuyColor);
   SetIndexStyle(1,DRAW_ARROW, EMPTY, EMPTY, SellColor);
   SetIndexStyle(2,DRAW_ARROW, EMPTY, EMPTY, BuyColor);
   SetIndexStyle(3,DRAW_ARROW, EMPTY, EMPTY, SellColor);
   SetIndexStyle(4,DRAW_LINE, EMPTY, EMPTY, BuyColor);
   SetIndexStyle(5,DRAW_LINE, EMPTY, EMPTY, SellColor);
   SetIndexArrow(0,159);
   SetIndexArrow(1,159);
   SetIndexArrow(2,108);
   SetIndexArrow(3,108);
   IndicatorDigits(MarketInfo(Symbol(),MODE_DIGITS));
   SetIndexEmptyValue(0,-1);
   SetIndexEmptyValue(1,-1);
   SetIndexEmptyValue(2,-1);
   SetIndexEmptyValue(3,-1);
//---- name for DataWindow and indicator subwindow label   

   switch(TimeFrame)
   {
      case 1 : string TimeFrameStr="Period_M1"; break;
      case 5 : TimeFrameStr="Period_M5"; break;
      case 15 : TimeFrameStr="Period_M15"; break;
      case 30 : TimeFrameStr="Period_M30"; break;
      case 60 : TimeFrameStr="Period_H1"; break;
      case 240 : TimeFrameStr="Period_H4"; break;
      case 1440 : TimeFrameStr="Period_D1"; break;
      case 10080 : TimeFrameStr="Period_W1"; break;
      case 43200 : TimeFrameStr="Period_MN1"; break;
      default : TimeFrameStr="Current Timeframe";
   }
   IndicatorShortName("BBands dots MTF ("+TimeFrameStr+")");

   return(0);
  }

//----

 
//+------------------------------------------------------------------+
//| MTF Supertrend                                                   |
//+------------------------------------------------------------------+

int start()
  {

   datetime TimeArray[];
   int    i,limit,y=0,counted_bars=IndicatorCounted(); 

// Plot defined time frame on to current time frame

   ArrayCopySeries(TimeArray,MODE_TIME,Symbol(),TimeFrame); 
   
   limit= Bars-counted_bars+TimeFrame/Period();
   for(i=0,y=0;i<limit;i++)
   {
   if (Time[i]<TimeArray[y]) y++;

/***********************************************************   
   Add your main indicator loop below.  You can reference an existing
      indicator with its iName  or iCustom.
   Rule 1:  Add extern inputs above for all neccesary values   
   Rule 2:  Use 'TimeFrame' for the indicator time frame
   Rule 3:  Use 'y' for your indicator's shift value
 **********************************************************/  
 
   UpTrendBuffer[i]=iCustom(Symbol(),TimeFrame,"BBands dots",Length,Deviation,MoneyRisk,Signal,Line,Nbars,0,y);
   DownTrendBuffer[i]=iCustom(Symbol(),TimeFrame,"BBands dots",Length,Deviation,MoneyRisk,Signal,Line,Nbars,1,y); 
   UpTrendSignal[i]=iCustom(Symbol(),TimeFrame,"BBands dots",Length,Deviation,MoneyRisk,Signal,Line,Nbars,2,y);
   DownTrendSignal[i]=iCustom(Symbol(),TimeFrame,"BBands dots",Length,Deviation,MoneyRisk,Signal,Line,Nbars,3,y);
   UpTrendLine[i]=iCustom(Symbol(),TimeFrame,"BBands dots",Length,Deviation,MoneyRisk,Signal,Line,Nbars,4,y);
   DownTrendLine[i]=iCustom(Symbol(),TimeFrame,"BBands dots",Length,Deviation,MoneyRisk,Signal,Line,Nbars,5,y);
   
   

   }   
   return(0);
  }
//+------------------------------------------------------------------+